package com.sun.corba.se.impl.orb;

import com.sun.corba.se.spi.orb.Operation;
import com.sun.corba.se.spi.orb.ParserData;

public abstract class ParserDataBase implements ParserData
{
    private String propertyName;
    private Operation operation;
    private String fieldName;
    private Object defaultValue;
    private Object testValue;
    
    protected ParserDataBase(String propertyName, Operation operation, String fieldName, Object defaultValue, Object testValue) {
        this.propertyName = propertyName;
        this.operation = operation;
        this.fieldName = fieldName;
        this.defaultValue = defaultValue;
        this.testValue = testValue;
    }
    
    public String getPropertyName() {
        return this.propertyName;
    }
    
    public Operation getOperation() {
        return this.operation;
    }
    
    public String getFieldName() {
        return this.fieldName;
    }
    
    public Object getDefaultValue() {
        return this.defaultValue;
    }
    
    public Object getTestValue() {
        return this.testValue;
    }
}
